Tapt API for OAuth applications

​Webhooks

Endpoint:https://api.cards.tapt.io

Webhook subscription management


​List subscriptions

GET
https://api.cards.tapt.io
/oauth/webhooks/subscriptions

Retrieves a list of all webhook subscriptions for the authenticated user/client.

​List subscriptions › Responses

    • target_urlstring · url · required

      The URL to send webhook events to

    • event_typestring · enum · required

      The event type this subscription is for

      Enum values:
      contact.created
      contact.updated
    • idinteger · readOnly

      Subscription ID

    • created_atstring · date-time · readOnly

      Timestamp of when the subscription was created

    • updated_atstring · date-time · readOnly

      Timestamp of when the subscription was last updated


​Create a Subscription

POST
https://api.cards.tapt.io
/oauth/webhooks/subscriptions

Creates a new webhook subscription for a specific event.

​Create a Subscription › Request Body

  • target_urlstring · url · required

    The URL to send webhook events to

  • event_typestring · enum · required

    The event type this subscription is for

    Enum values:
    contact.created
    contact.updated

​Create a Subscription › Responses

    • target_urlstring · url · required

      The URL to send webhook events to

    • event_typestring · enum · required

      The event type this subscription is for

      Enum values:
      contact.created
      contact.updated
    • idinteger · readOnly

      Subscription ID

    • created_atstring · date-time · readOnly

      Timestamp of when the subscription was created

    • updated_atstring · date-time · readOnly

      Timestamp of when the subscription was last updated


​Get a subscription

GET
https://api.cards.tapt.io
/oauth/webhooks/subscriptions/{id}

Retrieves details of a specific webhook subscription by its ID.

​Get a subscription › path Parameters

  • idstring · required

    The ID of the webhook subscription.

​Get a subscription › Responses

    • target_urlstring · url · required

      The URL to send webhook events to

    • event_typestring · enum · required

      The event type this subscription is for

      Enum values:
      contact.created
      contact.updated
    • idinteger · readOnly

      Subscription ID

    • created_atstring · date-time · readOnly

      Timestamp of when the subscription was created

    • updated_atstring · date-time · readOnly

      Timestamp of when the subscription was last updated


​Update a subscription

PUT
https://api.cards.tapt.io
/oauth/webhooks/subscriptions/{id}

Updates an existing webhook subscription.

​Update a subscription › path Parameters

  • idstring · required

    The ID of the webhook subscription.

​Update a subscription › Request Body

  • target_urlstring · url

    The URL to send webhook events to (optional for update)

  • event_typestring

    The event type this subscription is for (optional for update)

​Update a subscription › Responses

    • target_urlstring · url · required

      The URL to send webhook events to

    • event_typestring · enum · required

      The event type this subscription is for

      Enum values:
      contact.created
      contact.updated
    • idinteger · readOnly

      Subscription ID

    • created_atstring · date-time · readOnly

      Timestamp of when the subscription was created

    • updated_atstring · date-time · readOnly

      Timestamp of when the subscription was last updated


​Delete a subscription

DELETE
https://api.cards.tapt.io
/oauth/webhooks/subscriptions/{id}

Deletes a specific webhook subscription by its ID.

​Delete a subscription › path Parameters

  • idstring · required

    The ID of the webhook subscription.

​Delete a subscription › Responses

    No schema specified